Page MenuHomePhabricator

misspelling only uses per-language configuration, and doesnt report a problem on sites missing specified templates
Closed, ResolvedPublic

Description

misspelling has configuration for languages da, de, en, hu and nl, consisting of a category and/or template per language. However these configuration values are only per-language, and no error is show if the specified category or template does not exist on the target wiki.

Event Timeline

jayvdb created this task.Apr 1 2015, 10:55 AM
jayvdb raised the priority of this task from to Medium.
jayvdb updated the task description. (Show Details)
jayvdb added a project: Pywikibot.
jayvdb added subscribers: Unknown Object (MLST), jayvdb, Aklapper.

Note that misspelling does report an error on wikidata, as the script uses 'code' instead of lang, and the code for wikidata is 'wikidata', which doesnt appear in the configuration dictionary.

XZise added a subscriber: XZise.Apr 2 2015, 3:00 PM

By the way I think it's the other way around: With T94679 fixed this would be a relatively easy task.

XZise added a comment.Apr 2 2015, 3:00 PM
This comment was removed by XZise.
Xqt added a subscriber: Xqt.Jul 11 2015, 9:20 AM

The table is a localisation table defined for site not for language. It is the right behaviour to report an error when a site is not configured.

In T94681#1447145, @Xqt wrote:

The table is a localisation table defined for site not for language. It is the right behaviour to report an error when a site is not configured.

Yes, using code instead of lang is appropriate.
However, when the script is run on wiktionary, the values are not valid.
i.e. this script assumes it is run on Wikipedia only.

Change 266073 had a related patch set uploaded (by Xqt):
[L10N] use sitename to find the the corresponding site.

https://gerrit.wikimedia.org/r/266073

Xqt claimed this task.Jan 24 2016, 4:42 PM

Change 266073 had a related patch set uploaded (by Xqt):
[bugfix] Fix comparing template name

https://gerrit.wikimedia.org/r/266073

xSavitar moved this task from Backlog to Needs Review on the Pywikibot board.Nov 5 2018, 11:37 AM

@Xqt: Hi! This task has been assigned to you a while ago. Could you maybe share an update? Do you still plan to work on this task?
If this task is not resolved and only if you do not plan to work on this task anymore: Please consider removing yourself as assignee (via Add Action...Assign / Claim in the dropdown menu): That would allow others to work on this (in theory), as others won't think that someone is already working on this. Thanks! :)

Xqt added a comment.Mar 6 2020, 7:57 PM

@Aklapper: Waiting for all my other patches to be merged first ;-)

Aklapper removed Xqt as the assignee of this task.Jun 19 2020, 4:25 PM

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)

Xqt claimed this task.Jun 19 2020, 4:41 PM
Xqt closed this task as Resolved.Oct 28 2020, 6:20 AM

Change 266073 merged by jenkins-bot:
[pywikibot/core@master] [bugfix] Enable misspelling.py for several sites using wikidata

https://gerrit.wikimedia.org/r/266073